# Function getGpxExtensions

- getGpxExtensions(doc, feature): Element[] | undefined

- Gets the custom GPX extensions from a feature's attributes.

  #### Parameters

  - doc: Document

    The parent Document.

  - feature: Feature

    The feature to extract the extensions from.

  #### Returns Element[] | undefined

  An array of XML Elements representing the GPX extensions, or undefined if not present.